# boek/werken/schrijf.py
#
#

""" add a value. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from boek.helpers import short_date
from boek.hemel import hemel
from boek import Ding

import time
import os

## CMNDS

def opslag_verdwenen(event):
    if not event.args: return
    nr = 1
    for obj in hemel.all("deleted"): event.reply(obj.format(nr)) ; event.reply("") ; nr += 1 

hemel.registreer("opslag.verdwenen", opslag_verdwenen)

def opslag_weg(event):
    try: key, match = event.args
    except ValueError: return
    nr = 0
    for obj in hemel.dings():
       if key not in obj: continue
       if match not in obj[key]: continue
       obj.deleted = True
       obj.sync()
       nr += 1
    event.ok(nr)

hemel.registreer("opslag.weg", opslag_weg)

def opslag_terug(event):
    try: key, match = event.args
    except ValueError: return
    nr = 0
    for obj in hemel.dings(**{"full": True}):
       if key not in obj: continue
       if match not in obj[key]: continue
       if "deleted" not in obj: continue
       obj.deleted = False
       obj.sync()
       nr += 1
    event.ok(nr)

hemel.registreer("opslag.terug", opslag_terug)

def opslag_eerst(event):
    if not event.args: return
    obj = hemel.first(event.args[0])
    if obj: event.reply(obj.json())

hemel.registreer("opslag.eerst", opslag_eerst)

def opslag_laatst(event):
    if not event.args: return
    obj = hemel.last(event.args[0])
    if obj: event.reply(obj.json())

hemel.registreer("opslag.laatst", opslag_laatst)

