# boek/werken/klok.py
#
#

""" time the timing. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from boek.helpers import get_day, get_hour, today, short_date
from boek.klok import Tijd
from boek.hemel import hemel
from boek import Ding

import datetime
import threading
import time

## COMMANDS

def klok_tijd(event):
    rest = event.rest()
    if not rest: return
    target = today() + get_day(rest) + get_hour(rest)
    event.reply("tijd ontdekt: %s" % short_date(time.ctime(target)))
    timer = Tijd(target, event)
    hemel.put(timer.start)
    event.ok()

hemel.registreer("klok.tijd", klok_tijd)
